<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('clients', function (Blueprint $table) {
            $table->renameColumn('external_customer_id', 'gateway_customer_id');
            $table->renameColumn('external_customer_code', 'gateway_customer_code');
        });
    }

    public function down(): void
    {
        Schema::table('clients', function (Blueprint $table) {
            $table->renameColumn('gateway_customer_id', 'external_customer_id');
            $table->renameColumn('gateway_customer_code', 'external_customer_code');
        });
    }
};
